<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstFilePosition Method (IEdmFolder5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : GetFirstFilePosition Method (IEdmFolder5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the files in this folder.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstFilePosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstFilePosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstFilePosition();

#### Return Value

IEdmPos5; position of the first file in this folder

# Example

Traverse Folders and Files in Vault (C#)
Traverse Folders and Files in Vault (VB.NET)

# Remarks

After calling this method, pass the returned first file position to IEdmFolder5::GetNextFile to get the first file in the list. Then call IEdmFolder5::GetNextFile repeatedly to get the rest of the files in the list.

C++ users not using smart-pointer wrapper functions must release the returned pointer, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members
IEdmFolder5::GetFirstSubFolderPosition Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2